Represents the EJ2 Angular TextBox Component.
<ejs-textbox [value]='value'></ejs-textbox>
string
Specifies whether the browser is allow to automatically enter or select a value for the textbox.
By default, autocomplete is enabled for textbox.
Possible values are:
on
- Specifies that autocomplete is enabled.
off
- Specifies that autocomplete is disabled.
Defaults to ‘on’
string
Specifies the CSS class value that is appended to wrapper of Textbox.
Defaults to ”
boolean
Enable or disable persisting TextBox state between page reloads. If enabled, the value
state will be persisted.
Defaults to false
boolean
Enable or disable rendering component in right to left direction.
Defaults to false
boolean
Specifies a Boolean value that indicates whether the TextBox allow user to interact with it.
Defaults to true
Specifies the floating label behavior of the TextBox that the placeholder text floats above the TextBox based on the below values. Possible values are:
Never
- The placeholder text should not be float ever.Always
- The placeholder text floats above the TextBox always.Auto
- The placeholder text floats above the TextBox while focusing or enter a value in Textbox.Defaults to Never
{ : }
You can add the additional html attributes such as disabled, value etc., to the element. If you configured both property and equivalent html attribute then the component considers the property value.
<ejs-textbox [htmlAttributes]="htmlAttributes"></ejs-textbox>
import { Component, ViewEncapsulation } from '@angular/core';
@Component({
selector: 'app-root',
styleUrls: ['app.component.css'],
templateUrl: 'app.component.html',
encapsulation: ViewEncapsulation.None
})
export class AppComponent {
constructor() { }
public htmlAttributes = { name: "username", type: "password", maxlength:"8" };
}
Defaults to {}
string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
Defaults to ”
boolean
Specifies a boolean value that enable or disable the multiline on the TextBox. The TextBox changes from single line to multiline when enable this multiline mode.
Defaults to false
string
Specifies the text that is shown as a hint/placeholder until the user focus or enter a value in Textbox. The property is depending on the floatLabelType property.
Defaults to null
boolean
Specifies the boolean value whether the TextBox allows user to change the text.
Defaults to false
boolean
Specifies a Boolean value that indicates whether the clear button is displayed in Textbox.
Defaults to false
string
Specifies the behavior of the TextBox such as text, password, email, etc.
Defaults to ‘text’
string
Sets the content of the TextBox.
Defaults to null
number
| string
Specifies the width of the Textbox component.
Defaults to null
Adding the multiple attributes as key-value pair to the TextBox element.
Parameter | Type | Description |
---|---|---|
attributes | { : } | Specifies the attributes to be add to TextBox element. |
Returns void
Adding the icons to the TextBox component.
Parameter | Type | Description |
---|---|---|
position | string |
Specify the icon placement on the TextBox. Possible values are append and prepend. |
icons | string | string[] |
Icon classes which are need to add to the span element which is going to created. Span element acts as icon or button element for TextBox. |
Returns void
Removes the component from the DOM and detaches all its related event handlers. Also, it maintains the initial TextBox element from the DOM.
Returns void
Sets the focus to widget for interaction.
Returns void
Remove the focus from widget, if the widget is in focus state.
Returns void
Gets the properties to be maintained in the persisted state.
Returns string
Removing the multiple attributes as key-value pair to the TextBox element.
Parameter | Type | Description |
---|---|---|
attributes | string[] |
Specifies the attributes name to be removed from TextBox element. |
Returns void
Triggers when the TextBox has focus-out.
Triggers when the content of TextBox has changed and gets focus-out.
EmitType<Object>
Triggers when the TextBox component is created.
EmitType<Object>
Triggers when the TextBox component is destroyed.
Triggers when the TextBox gets focus.
Triggers each time when the value of TextBox has changed.

Search results

TextBoxComponent

Represents the React TextBox Component

<TextBox value={value}></TextBox>

Properties

autocomplete

string

Specifies whether the browser is allow to automatically enter or select a value for the textbox. By default, autocomplete is enabled for textbox. Possible values are: on - Specifies that autocomplete is enabled. off - Specifies that autocomplete is disabled.

Defaults to ‘on’

cssClass

string

Specifies the CSS class value that is appended to wrapper of Textbox.

Defaults to

enablePersistence

boolean

Enable or disable persisting TextBox state between page reloads. If enabled, the value state will be persisted.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

enabled

boolean

Specifies a Boolean value that indicates whether the TextBox allow user to interact with it.

Defaults to true

floatLabelType

FloatLabelType

Specifies the floating label behavior of the TextBox that the placeholder text floats above the TextBox based on the below values. Possible values are:

  • Never - The placeholder text should not be float ever.
  • Always - The placeholder text floats above the TextBox always.
  • Auto - The placeholder text floats above the TextBox while focusing or enter a value in Textbox.

Defaults to Never

htmlAttributes

{ : }

You can add the additional html attributes such as disabled, value etc., to the element. If you configured both property and equivalent html attribute then the component considers the property value.

import './App.css';
import * as React from 'react';
import { TextBoxComponent } from '@syncfusion/ej2-react-inputs';

class App extends React.Component {
  public htmlAttributes = { name: "username", type: "password", maxlength:"8" };
  public render() {
    return (<TextBoxComponent htmlAttributes={this.htmlAttributes} />);
  }
}

export default App;

Defaults to {}

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

multiline

boolean

Specifies a boolean value that enable or disable the multiline on the TextBox. The TextBox changes from single line to multiline when enable this multiline mode.

Defaults to false

placeholder

string

Specifies the text that is shown as a hint/placeholder until the user focus or enter a value in Textbox. The property is depending on the floatLabelType property.

Defaults to null

readonly

boolean

Specifies the boolean value whether the TextBox allows user to change the text.

Defaults to false

showClearButton

boolean

Specifies a Boolean value that indicates whether the clear button is displayed in Textbox.

Defaults to false

type

string

Specifies the behavior of the TextBox such as text, password, email, etc.

Defaults to ‘text’

value

string

Sets the content of the TextBox.

Defaults to null

width

number | string

Specifies the width of the Textbox component.

Defaults to null

Methods

addAttributes

Adding the multiple attributes as key-value pair to the TextBox element.

Parameter Type Description
attributes { : } | Specifies the attributes to be add to TextBox element.

Returns void

addIcon

Adding the icons to the TextBox component.

Parameter Type Description
position string Specify the icon placement on the TextBox. Possible values are append and prepend.
icons string | string[] Icon classes which are need to add to the span element which is going to created.
Span element acts as icon or button element for TextBox.

Returns void

destroy

Removes the component from the DOM and detaches all its related event handlers. Also, it maintains the initial TextBox element from the DOM.

Returns void

focusIn

Sets the focus to widget for interaction.

Returns void

focusOut

Remove the focus from widget, if the widget is in focus state.

Returns void

getPersistData

Gets the properties to be maintained in the persisted state.

Returns string

removeAttributes

Removing the multiple attributes as key-value pair to the TextBox element.

Parameter Type Description
attributes string[] Specifies the attributes name to be removed from TextBox element.

Returns void

Events

blur

EmitType<FocusOutEventArgs>

Triggers when the TextBox has focus-out.

change

EmitType<ChangedEventArgs>

Triggers when the content of TextBox has changed and gets focus-out.

created

EmitType<Object>

Triggers when the TextBox component is created.

destroyed

EmitType<Object>

Triggers when the TextBox component is destroyed.

focus

EmitType<FocusInEventArgs>

Triggers when the TextBox gets focus.

input

EmitType<InputEventArgs>

Triggers each time when the value of TextBox has changed.

Search results

TextBoxComponent

Represents the Essential JS 2 VueJS TextBox Component

<ejs-textbox v-bind:value='value'></ejs-textbox>

Properties

autocomplete

string

Specifies whether the browser is allow to automatically enter or select a value for the textbox. By default, autocomplete is enabled for textbox. Possible values are: on - Specifies that autocomplete is enabled. off - Specifies that autocomplete is disabled.

Defaults to ‘on’

cssClass

string

Specifies the CSS class value that is appended to wrapper of Textbox.

Defaults to

enablePersistence

boolean

Enable or disable persisting TextBox state between page reloads. If enabled, the value state will be persisted.

Defaults to false

enableRtl

boolean

Enable or disable rendering component in right to left direction.

Defaults to false

enabled

boolean

Specifies a Boolean value that indicates whether the TextBox allow user to interact with it.

Defaults to true

floatLabelType

FloatLabelType

Specifies the floating label behavior of the TextBox that the placeholder text floats above the TextBox based on the below values. Possible values are:

  • Never - The placeholder text should not be float ever.
  • Always - The placeholder text floats above the TextBox always.
  • Auto - The placeholder text floats above the TextBox while focusing or enter a value in Textbox.

Defaults to Never

htmlAttributes

{ : }

You can add the additional html attributes such as disabled, value etc., to the element. If you configured both property and equivalent html attribute then the component considers the property value.

<template>
  <ejs-textbox :htmlAttributes="htmlAttributes"></ejs-textbox>
</template>
<script>
import Vue from "vue";
import { TextBoxPlugin } from "@syncfusion/ej2-vue-inputs";

Vue.use(TextBoxPlugin);
export default {
  data() {
    return {
      htmlAttributes: { name: "username", type: "password", maxlength:"8" }
    };
  }
};
</script>

Defaults to {}

locale

string

Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.

Defaults to

multiline

boolean

Specifies a boolean value that enable or disable the multiline on the TextBox. The TextBox changes from single line to multiline when enable this multiline mode.

Defaults to false

placeholder

string

Specifies the text that is shown as a hint/placeholder until the user focus or enter a value in Textbox. The property is depending on the floatLabelType property.

Defaults to null

readonly

boolean

Specifies the boolean value whether the TextBox allows user to change the text.

Defaults to false

showClearButton

boolean

Specifies a Boolean value that indicates whether the clear button is displayed in Textbox.

Defaults to false

type

string

Specifies the behavior of the TextBox such as text, password, email, etc.

Defaults to ‘text’

value

string

Sets the content of the TextBox.

Defaults to null

width

number | string

Specifies the width of the Textbox component.

Defaults to null

Methods

addAttributes

Adding the multiple attributes as key-value pair to the TextBox element.

Parameter Type Description
attributes { : } | Specifies the attributes to be add to TextBox element.

Returns void

addIcon

Adding the icons to the TextBox component.

Parameter Type Description
position string Specify the icon placement on the TextBox. Possible values are append and prepend.
icons string | string[] Icon classes which are need to add to the span element which is going to created.
Span element acts as icon or button element for TextBox.

Returns void

destroy

Removes the component from the DOM and detaches all its related event handlers. Also, it maintains the initial TextBox element from the DOM.

Returns void

focusIn

Sets the focus to widget for interaction.

Returns void

focusOut

Remove the focus from widget, if the widget is in focus state.

Returns void

getPersistData

Gets the properties to be maintained in the persisted state.

Returns string

removeAttributes

Removing the multiple attributes as key-value pair to the TextBox element.

Parameter Type Description
attributes string[] Specifies the attributes name to be removed from TextBox element.

Returns void

Events

blur

EmitType<FocusOutEventArgs>

Triggers when the TextBox has focus-out.

change

EmitType<ChangedEventArgs>

Triggers when the content of TextBox has changed and gets focus-out.

created

EmitType<Object>

Triggers when the TextBox component is created.

destroyed

EmitType<Object>

Triggers when the TextBox component is destroyed.

focus

EmitType<FocusInEventArgs>

Triggers when the TextBox gets focus.

input

EmitType<InputEventArgs>

Triggers each time when the value of TextBox has changed.